autoconf213/autoconf-2.13-notmp.patch

130 lines
3.7 KiB
Diff
Raw Normal View History

auto-import changelog data from autoconf213-2.13-3.src.rpm Fri Jun 21 2002 Tim Powers <timp@redhat.com> - automated rebuild Thu May 23 2002 Tim Powers <timp@redhat.com> - automated rebuild Wed May 15 2002 Jens Petersen <petersen@redhat.com> 2.13-1 - new package based on autoconf-2.13-17 - don't make unversioned bindir symlinks - version datadir - version info filename, but don't install-info it - update AC_OUTPUT_MAKE_DEFS to fix problem with c++exit patch (#62361) Wed Mar 27 2002 Jens Petersen <petersen@redhat.com> 2.13-17 - add URL Wed Feb 27 2002 Jens Petersen <petersen@redhat.com> 2.13-16 - add version suffix to bindir files and symlink them to their unversioned names Mon Feb 25 2002 Elliot Lee <sopwith@redhat.com> 2.13-15 - Add wait3test.patch to make sure that the child process actually does something that the kernel will take note of. Fixes the failing wait3 test that was worked around in time-1.7-15. Mon Aug 06 2001 Tim Powers <timp@redhat.com> - rebuilt to fix bug #50761 Thu Jul 26 2001 Than Ngo <than@redhat.com> - add patch to fix exit status Tue Jul 10 2001 Jens Petersen <petersen@redhat.com> - add patch to include various standard C headers as needed by various autoconf tests (#19114) - add patch to autoscan.pl to get a better choice of init file (#42071), to test for CPP after CC (#42072) and to detect C++ source and g++ (#42073). Tue Jun 26 2001 Jens Petersen <petersen@redhat.com> - Add a back-port of _AC_PROG_CXX_EXIT_DECLARATION from version 2.50 to make detection of C++ exit() declaration prototype platform independent. The check is done in AC_PROG_CXX with the result stored in "confdefs.h". The exit() prototype in AC_TRY_RUN_NATIVE is no longer needed. (fixes #18829) Wed Nov 29 2000 Bernhard Rosenkraenzer <bero@redhat.com> - Fix up interoperability with glibc 2.2 and gcc 2.96: AC_TRY_RUN_NATIVE in C++ mode added a prototype for exit() to the test code without throwing an exception, causing a conflict with stdlib.h --> AC_TRY_RUN_NATIVE for C++ code including stdlib.h always failed, returning wrong results Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com> - add textutils as a dependency (#14439) Wed Jul 12 2000 Prospector <bugzilla@redhat.com> - automatic rebuild Mon Jun 05 2000 Jeff Johnson <jbj@redhat.com> - FHS packaging. Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com> - fix preun Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com> - add patch to help autoconf clean after itself and not leave /tmp clobbered with acin.* and acout.* files (can you say annoying?) Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> - auto rebuild in the new build environment (release 4) - use gawk, not mawk Thu Mar 18 1999 Preston Brown <pbrown@redhat.com> - moved /usr/lib/autoconf to /usr/share/autoconf (with automake) Wed Feb 24 1999 Preston Brown <pbrown@redhat.com> - Injected new description and group. Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com> - update to 2.13. Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com> - build against glibc 2.1 Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com> - requires perl Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com> - patch for fixing /tmp race conditions Sun Oct 19 1997 Erik Troan <ewt@redhat.com> - spec file cleanups - made a noarch package - uses autoconf - uses install-info Thu Jul 17 1997 Erik Troan <ewt@redhat.com> - built with glibc
2004-09-09 03:18:26 +00:00
--- autoconf-2.13/autoconf.sh~ Fri Mar 26 20:50:48 1999
+++ autoconf-2.13/autoconf.sh Fri Mar 26 20:58:22 1999
@@ -52,13 +52,13 @@
while test $# -gt 0 ; do
case "${1}" in
-h | --help | --h* )
- echo "${usage}" 1>&2; exit 0 ;;
+ echo "${usage}" 1>&2; rm -f $tmpout ; exit 0 ;;
--localdir=* | --l*=* )
localdir="`echo \"${1}\" | sed -e 's/^[^=]*=//'`"
shift ;;
-l | --localdir | --l*)
shift
- test $# -eq 0 && { echo "${usage}" 1>&2; exit 1; }
+ test $# -eq 0 && { echo "${usage}" 1>&2; rm -f $tmpout; exit 1; }
localdir="${1}"
shift ;;
--macrodir=* | --m*=* )
@@ -66,7 +66,7 @@
shift ;;
-m | --macrodir | --m* )
shift
- test $# -eq 0 && { echo "${usage}" 1>&2; exit 1; }
+ test $# -eq 0 && { echo "${usage}" 1>&2; rm -f $tmpout; exit 1; }
AC_MACRODIR="${1}"
shift ;;
--version | --v* )
@@ -76,7 +76,7 @@
- ) # Use stdin as input.
break ;;
-* )
- echo "${usage}" 1>&2; exit 1 ;;
+ echo "${usage}" 1>&2; rm -f $tmpout; exit 1 ;;
* )
break ;;
esac
@@ -86,13 +86,14 @@
version=`sed -n 's/define.AC_ACVERSION.[ ]*\([0-9.]*\).*/\1/p' \
$AC_MACRODIR/acgeneral.m4`
echo "Autoconf version $version"
+ rm -f $tmpout
exit 0
fi
case $# in
0) infile=configure.in ;;
1) infile="$1" ;;
- *) echo "$usage" >&2; exit 1 ;;
+ *) echo "$usage" >&2; rm -f $tmpout; exit 1 ;;
esac
trap 'rm -f $tmpin $tmpout; exit 1' 1 2 15
@@ -103,6 +104,7 @@
infile=$tmpin
elif test ! -r "$infile"; then
echo "autoconf: ${infile}: No such file or directory" >&2
+ rm -f $tmpin $tmpout
exit 1
fi
@@ -111,6 +113,8 @@
else
use_localdir=
fi
+# Make sure we don't leave those around - they are annoying
+trap 'rm -f $tmpin $tmpout' 0
# Use the frozen version of Autoconf if available.
r= f=
@@ -118,7 +122,7 @@
case `$M4 --help < /dev/null 2>&1` in
*reload-state*) test -r $AC_MACRODIR/autoconf.m4f && { r=--reload f=f; } ;;
*traditional*) ;;
-*) echo Autoconf requires GNU m4 1.1 or later >&2; rm -f $tmpin; exit 1 ;;
+*) echo Autoconf requires GNU m4 1.1 or later >&2; rm -f $tmpin $tmpout; exit 1 ;;
esac
$M4 -I$AC_MACRODIR $use_localdir $r autoconf.m4$f $infile > $tmpout ||
@@ -154,6 +158,6 @@
/__oline__/s/^\([0-9][0-9]*\):\(.*\)__oline__/\2\1/
' >&4
-rm -f $tmpout
+rm -f $tmpout $tmpin
exit $status
--- autoconf-2.13/autoupdate.sh~ Fri Mar 26 20:50:48 1999
+++ autoconf-2.13/autoupdate.sh Fri Mar 26 21:02:18 1999
@@ -35,13 +35,13 @@
while test $# -gt 0 ; do
case "${1}" in
-h | --help | --h* )
- echo "${usage}" 1>&2; exit 0 ;;
+ echo "${usage}" 1>&2; rm -f $sedtmp; exit 0 ;;
--macrodir=* | --m*=* )
AC_MACRODIR="`echo \"${1}\" | sed -e 's/^[^=]*=//'`"
shift ;;
-m | --macrodir | --m* )
shift
- test $# -eq 0 && { echo "${usage}" 1>&2; exit 1; }
+ test $# -eq 0 && { echo "${usage}" 1>&2; rm -f $sedtmp; exit 1; }
AC_MACRODIR="${1}"
shift ;;
--version | --versio | --versi | --vers)
@@ -51,7 +51,7 @@
- ) # Use stdin as input.
break ;;
-* )
- echo "${usage}" 1>&2; exit 1 ;;
+ echo "${usage}" 1>&2; rm -f $sedtmp; exit 1 ;;
* )
break ;;
esac
@@ -61,6 +61,7 @@
version=`sed -n 's/define.AC_ACVERSION.[ ]*\([0-9.]*\).*/\1/p' \
$AC_MACRODIR/acgeneral.m4`
echo "Autoconf version $version"
+ rm -f $sedtmp
exit 0
fi
@@ -68,6 +69,7 @@
tmpout=acupo.$$
trap 'rm -f $sedtmp $tmpout; exit 1' 1 2 15
+trap 'rm -f $sedtmp' 0
case $# in
0) infile=configure.in; out="> $tmpout"
# Make sure $infile can be read, and $tmpout has the same permissions.